Translate audio

Translate audio into English text

POST /v1/audio/translations

Service root: https://getrouter.ai

Protocol: OpenAI Audio

Authentication: Authorization: Bearer YOUR_API_KEY

Request body

The request body is required. Media type: multipart/form-data

Request fields

FieldTypeRequiredDescription
filestringYes
modelstringYes
promptstringNo
response_formatstringNo
temperaturenumberNo

Example request

curl --request POST \
  --url https://getrouter.ai/v1/audio/translations \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --form "file=@/path/to/file" \
  --form "model=MODEL_ID"

Responses

StatusDescription
200Translation completed successfully

Success response fields

FieldTypeRequiredDescription
textstringNo

Example response

{
  "text": "string"
}

For complete workflows and examples, read the Audio API Guide.


This page is generated from the public Relay OpenAPI specification. Browse the complete specification in the API Explorer.